package com.yccrc.kede.service.impl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yccrc.kede.mapper.ProjectLogMapper;
import com.yccrc.kede.domain.Project;
import com.yccrc.kede.domain.ProjectLog;
import com.yccrc.kede.service.IProjectLogService;

/**
 * 项目操作日志Service业务层处理
 * 
 * @author yccrc
 * @date 2022-05-20
 */
@Service
public class ProjectLogServiceImpl  extends ServiceImpl<ProjectLogMapper, ProjectLog>  implements IProjectLogService 
{

	@Override
	public void saveLog(Integer projectId, String content) {
		ProjectLog log = new ProjectLog();
		log.setProjectId(projectId);
		log.setContent(content);
		this.save(log);
	}

	@Override
	public void saveLog(Project project, String content) {
		this.saveLog(project.getId(), content);
	}
   
}
